Aller au contenu
Esc
↑↓naviguer↵ouvrir⌘Japerçu

Delete a thread

Moves it to trash, where it is deleted after 30 days; moving it out of trash restores it. deleted is false when it was in trash already.

DELETE/inboxes/{inbox_id}/threads/{thread_id}
Autorisation
AuthorizationJeton Bearer · headerrequis

A BillionSend API key (bs_…).

Paramètres de chemin
inbox_idstringrequis

The inbox ID or its email address, such as support@example.com

thread_idstring<uuid>requis

The thread ID

Réponses
200

Thread moved to trash

objectstringrequis
Valeurs autorisées :inbox_thread
idstring<uuid>requis
deletedbooleanrequis
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequis
namestringrequis
messagestringrequis
404

Not found

statusCodenumberrequis
namestringrequis
messagestringrequis
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequis
namestringrequis
messagestringrequis
Essayer
Serveur
Autorisation
Paramètres
Requête
curl -X DELETE 'https://api.billionsend.com/inboxes/string/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Réponse
{
  "object": "inbox_thread",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "deleted": true
}

Cette page vous a-t-elle été utile ?